#!/bin/bash

export PRODUCT=$1

if [ -z "$PRODUCT" ]
then
	echo "The product (usually 01, 04, or 05) was not defined. Exiting now."
	exit -1
fi

export EAST="http://www.opennoaaport.net:8015/rst/sat/gini/tig/tige"$PRODUCT"/latest"

export WEST="http://www.opennoaaport.net:8015/rst/sat/gini/tig/tigw"$PRODUCT"/latest"

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/local/lib

cd /opt/sat

cd input
mkdir -p "tig$PRODUCT"
cd "tig$PRODUCT"
curl -o "tige"$PRODUCT".gini" "$EAST"
curl -o "tigw"$PRODUCT".gini" "$WEST"
cd ../..

mkdir -p "output/tig$PRODUCT"

cd wct
./wct-export "../input/tig$PRODUCT" "../output/tig$PRODUCT" tif ../scripts/goes.xml
cd ..

cd composites
../bin/shp2img -m "../scripts/MapService$PRODUCT.map" -o "../composites/tig$PRODUCT.png"
cd ..
